[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# add(Tmatrix4_extended,Tmatrix4_extended):Tmatrix4_extended

Add two four-dimensional extended precision matrices together.

## Declaration

Source position: matrix.pp line 539

`operator operator +(`
`const m1: Tmatrix4_extended;`
`const m2: Tmatrix4_extended`
`):Tmatrix4_extended;`

## Description

This operator allows you to add two four-dimensional extended precision matrices together. A new matrix is returned with all elements of the two matrices added together.